Commit 1ca85933 authored by David M. Rogers's avatar David M. Rogers
Browse files

Changed to 6WQF structure.

parent 0084bae8
......@@ -6,12 +6,12 @@ from datetime import datetime
test = False
testone = False
hopper = False
hopper = True
conn_retries = 0
def stamp():
return datetime.now().strftime("%Y-%m-%d %H:%M:%S.%f") + " v1.0"
return datetime.now().strftime("%Y-%m-%d %H:%M:%S.%f") + " v1.1"
def run_redis(host, fn):
global conn_retries
......@@ -49,7 +49,7 @@ def get_shard(host):
return shard
return shard.decode('utf8')
out_pre = '/gpfs/alpine/world-shared/bif128/docked'
out_pre = '/gpfs/alpine/world-shared/bif128/6WQF_docked'
def main(argv):
global conn_retries
......@@ -60,6 +60,7 @@ def main(argv):
username = os.environ['USER']
jobid = os.environ['LSB_JOBID']
ret = subprocess.call("mkdir -p %s/logs/%s"%(out_pre,jobid), shell=True)
ret = subprocess.call("rm -fr /mnt/bb/%s/%d"%(username, rank), shell=True)
ofile = open('%s/logs/%s/rank%04x.log'%(out_pre,jobid,rank), "w")
time.sleep(rank*0.0001) # 10k connections per second at startup
......
......@@ -9,7 +9,7 @@
export OMP_NUM_THREADS=7
set -e
version="run_ad.sh v1.0"
version="run_ad.sh v1.1"
if [ $# -ne 2 ]; then
echo "Usage: $0 shard_name shard_segment"
......@@ -23,14 +23,14 @@ if [ ! -s "$sfile" ]; then
exit 1
fi
pfile=/gpfs/alpine/world-shared/bif128/final_Mpro_pdbqt_maps_for_1B.tgz
pfile=/gpfs/alpine/world-shared/bif128/6WQF_maps_Josh.tgz
if [ ! -s $pfile ]; then
echo "Missing $pfile"
exit 1
fi
HOST=`hostname`
OUT_DIR=/gpfs/alpine/world-shared/bif128/docked/$LSB_JOBID/$HOST
OUT_DIR=/gpfs/alpine/world-shared/bif128/6WQF_docked/$LSB_JOBID/$HOST
mkdir -p $OUT_DIR
log() {
......@@ -55,7 +55,7 @@ if [ ! -s `basename $sfile` ]; then
# final_Mpro_pdbqt_maps_for_1B.tgz
# final_MPro_pdbqt_maps_for_1B
# ligands
mv final_MPro_pdbqt_maps_for_1B/* .
[ -d final_MPro_pdbqt_maps_for_1B ] && mv final_MPro_pdbqt_maps_for_1B/* .
ls ligands/* >liglist
ls -1 ligands | cut -f 1 -d '.' >lignames
log completed copyin
......
#BSUB -nnodes 90
#BSUB -W 5:00
#BSUB -nnodes 10
#BSUB -W 1:20
#BSUB -q batch
#BSUB -P BIF128
#BSUB -J ADv1.0
#BSUB -J ADv1.1
#BSUB -o %J.out
#BSUB -alloc_flags "NVME"
......@@ -10,7 +10,7 @@ source /ccs/proj/bif128/venvs/env.sh
PROJ=/gpfs/alpine/bif128/proj-shared/redis
gpus=$(( (LSB_MAX_NUM_PROCESSORS-1)/7 ))
echo "Starting $((gpus/6)) node run of ADv1.0 at " `date`
echo "Starting $((gpus/6)) node run of ADv1.1 at " `date`
[ -s $PROJ/shards.rdb ]
REMAKE=$?
......@@ -27,6 +27,7 @@ for((i=0;i<120;i++)); do
[ $? -eq 0 ] && break
sleep 1
done
query set hopper $((gpus*2))
echo "$memb initial members at " `date`
......
......@@ -320,7 +320,7 @@ rdbcompression yes
rdbchecksum yes
# The filename where to dump the DB
dbfilename shards.rdb
dbfilename shards_6WQF.rdb
# Remove RDB files used by replication in instances without persistence
# enabled. By default this option is disabled, however there are environments
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment